Skip to main content
POST
https://api.aisa.one/apis/v1
/
apollo
/
people
/
bulk_match
Bulk People Enrichment
curl --request POST \
  --url https://api.aisa.one/apis/v1/apollo/people/bulk_match \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "details": [
    "<string>"
  ]
}
'
{
  "status": "<string>",
  "error_code": "<string>",
  "error_message": "<string>",
  "total_requested_enrichments": 123,
  "unique_enriched_records": 123,
  "missing_records": 123,
  "credits_consumed": 123,
  "matches": [
    "<string>"
  ],
  "waterfall": {}
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

run_waterfall_email
boolean

Set to true to enable email waterfall enrichment

run_waterfall_phone
boolean

Set to true to enable phone waterfall enrichment

reveal_personal_emails
boolean

Set to true if you want to enrich all matched people with personal emails. This potentially consumes credits as part of your Apollo pricing plan . The default value is false. If a person resides in a GDPR -compliant region, Apollo will not reveal their personal email.

reveal_phone_number
boolean

Set to true if you want to enrich the data of all matched people with all available phone numbers, including mobile phone numbers. This potentially consumes credits as part of your Apollo pricing plan . The default value is false. If this parameter is set to true, you must enter a webhook URL for the webhook_url parameter. Apollo will asynchronously verify phone numbers for you, then send a JSON response that includes only details about the phone numbers to the webhook URL you provide. It can take several minutes for the phone numbers to be delivered.

webhook_url
string

If you set the reveal_phone_number parameter to true, this parameter becomes mandatory. Otherwise, do not use this parameter. Enter the webhook URL that specifies where Apollo should send a JSON response that includes the phone number you requested. Apollo suggests testing this flow to ensure you receive the separate response with the phone number. If phone numbers are not revealed delivered to the webhook URL, try applying UTF-8 encoding to the webhook URL. Example: https://webhook.site/cc4cf44e-e047-4774-8dac-473d28474e40; https%3A%2F%2Fwebhook.site%2Fcc4cf44e-e047-4774-8dac-473d28474e40

Body

application/json
details
string[]
required

Provide info for each person you want to enrich as an object within this array. Add up to 10 people.

Response

Successful response

status
string

Response field

error_code
string

Response field

error_message
string

Response field

total_requested_enrichments
integer

Response field

unique_enriched_records
integer

Response field

missing_records
integer

Response field

credits_consumed
integer

Response field

matches
string[]

Response array

waterfall
object

Response object